agent-studio
List Flags
The team’s flags, newest first; optionally scoped to one processor.
GET
/
api
/
v1
/
agent-studio
/
flags
List Flags
import requests
url = "https://www.datalab.to/api/v1/agent-studio/flags"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://www.datalab.to/api/v1/agent-studio/flags \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://www.datalab.to/api/v1/agent-studio/flags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://www.datalab.to/api/v1/agent-studio/flags"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"flags": [
{
"id": 123,
"run_id": 123,
"processor_id": "<string>",
"locator": {
"run_id": "<string>",
"doc_name": "<string>",
"surface": {
"kind": "page",
"label": "<string>",
"number": 1
},
"block_id": "<string>",
"cell": {
"row": 1,
"col": 1
},
"word_range": {
"[0]": 123,
"[1]": 123
},
"bbox": {
"[0]": 123,
"[1]": 123,
"[2]": 123,
"[3]": 123
},
"field_path": "<string>",
"check_id": "<string>",
"rule_id": "<string>",
"segment": "<string>",
"turn": 1
},
"note": "<string>",
"status": "open",
"addressed_in_version": "<string>",
"created": "2023-11-07T05:31:56Z"
}
],
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Query Parameters
Filter by public processor id (slug).
Pattern:
^(open|resolved)$Required range:
1 <= x <= 200Required range:
x >= 0Was this page helpful?
⌘I
List Flags
import requests
url = "https://www.datalab.to/api/v1/agent-studio/flags"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://www.datalab.to/api/v1/agent-studio/flags \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://www.datalab.to/api/v1/agent-studio/flags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://www.datalab.to/api/v1/agent-studio/flags"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"flags": [
{
"id": 123,
"run_id": 123,
"processor_id": "<string>",
"locator": {
"run_id": "<string>",
"doc_name": "<string>",
"surface": {
"kind": "page",
"label": "<string>",
"number": 1
},
"block_id": "<string>",
"cell": {
"row": 1,
"col": 1
},
"word_range": {
"[0]": 123,
"[1]": 123
},
"bbox": {
"[0]": 123,
"[1]": 123,
"[2]": 123,
"[3]": 123
},
"field_path": "<string>",
"check_id": "<string>",
"rule_id": "<string>",
"segment": "<string>",
"turn": 1
},
"note": "<string>",
"status": "open",
"addressed_in_version": "<string>",
"created": "2023-11-07T05:31:56Z"
}
],
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}